ea-apr (1.7.5-1+3.1.cpanel) stable; urgency=low

  * EA-12350: Update apr from v1.7.4 to v1.7.5
  * SECURITY: CVE-2023-49582: Apache Portable Runtime (APR):
  Unexpected lax shared memory permissions (cve.mitre.org)
  Lax permissions set by the Apache Portable Runtime library on
  Unix platforms would allow local users read access to named
  shared memory segments, potentially revealing sensitive
  application data.
  This issue does not affect non-Unix platforms, or builds with
  APR_USE_SHMEM_SHMGET=1 (apr.h)
  Users are recommended to upgrade to APR version 1.7.5, which
  fixes this issue.
  Credits: Thomas Stangner

 -- Cory McIntire <cory@cpanel.net>  Mon, 26 Aug 2024 00:00:00 -0000

ea-apr (1.7.4-1) stable; urgency=low

  * EA-11357: Update apr from v1.7.3 to v1.7.4

 -- Cory McIntire <cory@cpanel.net>  Mon, 17 Apr 2023 00:00:00 -0000

ea-apr (1.7.3-1) stable; urgency=low

  * EA-11326: Update apr from v1.7.2 to v1.7.3

 -- Cory McIntire <cory@cpanel.net>  Fri, 31 Mar 2023 00:00:00 -0000

ea-apr (1.7.2-1) stable; urgency=low

  * EA-11198: Update apr from v1.7.0 to v1.7.2
  * CVE-2022-24963
  Integer Overflow or Wraparound vulnerability in apr_encode functions of
  Apache Portable Runtime (APR) allows an attacker to write beyond bounds
  of a buffer.
  * CVE-2021-35940
  Restore fix for out-of-bounds array dereference in apr_time_exp*() functions.
  (This issue was addressed as CVE-2017-12613 in APR 1.6.3 and
  later 1.6.x releases, but was missing in 1.7.0.)

 -- Tim Mullin <tim@cpanel.net>  Thu, 02 Feb 2023 00:00:00 -0000

ea-apr (1.7.0-8) stable; urgency=low

  * ZC-10009: Add changes so that it builds on AlmaLinux 9

 -- Julian Brown <julian.brown@cpanel.net>  Thu, 29 Sep 2022 00:00:00 -0000

ea-apr (1.7.0-7) stable; urgency=low

  * EA-10477: Check for NULL mutex in apr_global_mutex_child_init

 -- Tim Mullin <tim@cpanel.net>  Mon, 28 Feb 2022 00:00:00 -0000

ea-apr (1.7.0-6) stable; urgency=low

  * EA-10069: Patch 1.7.0 for CVE-2021-35940

 -- Tim Mullin <tim@cpanel.net>  Wed, 25 Aug 2021 00:00:00 -0000

ea-apr (1.7.0-5) stable; urgency=low

  * ZC-8005: Remove ea-openssl11 on C8

 -- Julian Brown <julian.brown@cpanel.net>  Mon, 23 Nov 2020 00:00:00 -0000

ea-apr (1.7.0-4) stable; urgency=low

  * ZC-6743: Build on C8

 -- Julian Brown <julian.brown@cpanel.net>  Thu, 07 May 2020 00:00:00 -0000

ea-apr (1.7.0-3) stable; urgency=low

  * ZC-4361: Update ea-openssl requirement to v1.1.1 (ZC-5583)

 -- Daniel Muey <dan@cpanel.net>  Tue, 24 Sep 2019 00:00:00 -0000

ea-apr (1.7.0-2) stable; urgency=low

  * EA-8542: Change apr_lock_method to USE_SYSVSEM_SERIALIZE

 -- Tim Mullin <tim@cpanel.net>  Wed, 26 Jun 2019 00:00:00 -0000

ea-apr (1.7.0-1) stable; urgency=low

  * EA-8471: Update apr from v1.6.5 to v1.7.0

 -- Cory McIntire <cory@cpanel.net>  Thu, 16 May 2019 00:00:00 -0000

ea-apr (1.6.5-1) stable; urgency=low

  * EA-8225: Update to version 1.6.5

 -- Cory McIntire <cory@cpanel.net>  Wed, 13 Feb 2019 00:00:00 -0000

ea-apr (1.6.3-2) stable; urgency=low

  * EA-7382: Update dependency on ea-openssl to require the latest version with versioned symbols.

 -- Rishwanth Yeddula <rish@cpanel.net>  Mon, 16 Apr 2018 00:00:00 -0000

ea-apr (1.6.3-1) stable; urgency=low

  * EA-7242: Update to 1.6.3

 -- Rishwanth Yeddula <rish@cpanel.net>  Thu, 22 Mar 2018 00:00:00 -0000

ea-apr (1.5.3-9) stable; urgency=low

  * ZC-3552: Version ea-openssl requirements

 -- Cory McIntire <cory@cpanel.net>  Tue, 20 Mar 2018 00:00:00 -0000

ea-apr (1.5.2-9) stable; urgency=low

  * CVE-2017-12613: Out-of-bounds array deref in apr_time_exp*() functions

 -- Dmitriy Kasyanov <dkasyanov@cloudlinux.com>  Wed, 29 Nov 2017 00:00:00 -0000

ea-apr (1.5.2-8) stable; urgency=low

  * Build against ea-openssl

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Thu, 08 Jun 2017 00:00:00 -0000

ea-apr (1.5.2-7) stable; urgency=low

  * fix file conflicts with system apr

 -- Sergey Fokin <https://github.com/titan-dn>  Tue, 18 Apr 2017 00:00:00 -0000

ea-apr (1.5.2-6) stable; urgency=low

  * Added vendor field

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Fri, 16 Dec 2016 00:00:00 -0000

ea-apr (1.5.2-5) stable; urgency=low

  * libdir is removed when the rpm is uninstalled (EA-5169)

 -- S. Kurt Newman <kurt.newman@cpanel.net>  Fri, 02 Dec 2016 00:00:00 -0000

ea-apr (1.5.2-4) stable; urgency=low

  * EA-5473: Added function to do stat on a file descriptor.

 -- Edwin Buck <e.buck@cpanel.net>  Tue, 25 Oct 2016 00:00:00 -0000

ea-apr (1.5.2-3) stable; urgency=low

  * EA-4383: Update Release value to OBS-proof versioning

 -- Dan Muey <dan@cpanel.net>  Thu, 16 Jun 2016 00:00:00 -0000

ea-apr (1.5.2-2) stable; urgency=low

  * Removed Cloudlinux patch

 -- David Nielson <david.nielson@cpanel.net>  Thu, 10 Mar 2016 00:00:00 -0000

ea-apr (1.5.2-1) stable; urgency=low

  * Updated to version 1.5.2 via update_pkg.pl

 -- Jacob Perkins <jacob.perkins@cpanel.net>  Tue, 13 Oct 2015 00:00:00 -0000

ea-apr (1.5.1-5) stable; urgency=low

  * Added macro handling for dependency resolution

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Fri, 31 Jul 2015 00:00:00 -0000

ea-apr (1.5.1-4) stable; urgency=low

  * Move ea-apr to /opt/cpanel/ea-apr15

 -- Matt Dees <matt@cpanel.net>  Mon, 29 Jun 2015 00:00:00 -0000

ea-apr (1.5.1-3) stable; urgency=low

  * Renamed to ea-apr, added conflicts with apr*

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Thu, 26 Mar 2015 00:00:00 -0000

ea-apr (1.5.1-2) stable; urgency=low

  * Added CloudLinux patch

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Mon, 23 Mar 2015 00:00:00 -0000

ea-apr (1.5.1-1) stable; urgency=low

  * Upgraded to 1.5.1

 -- Trinity Quirk <trinity.quirk@cpanel.net>  Fri, 27 Feb 2015 00:00:00 -0000

ea-apr (1.4.8-3) stable; urgency=low

  * Mass rebuild 2014-01-24

 -- Daniel Mach <dmach@redhat.com>  Fri, 24 Jan 2014 00:00:00 -0000

ea-apr (1.4.8-2) stable; urgency=low

  * Mass rebuild 2013-12-27

 -- Daniel Mach <dmach@redhat.com>  Fri, 27 Dec 2013 00:00:00 -0000

ea-apr (1.4.8-1) stable; urgency=low

  * update to 1.4.8 (#976972)

 -- Joe Orton <jorton@redhat.com>  Mon, 24 Jun 2013 00:00:00 -0000

ea-apr (1.4.6-7) stable; urgency=low

  * update config.* for aarch64 (#925009)

 -- Joe Orton <jorton@redhat.com>  Wed, 29 May 2013 00:00:00 -0000

ea-apr (1.4.6-6) stable; urgency=low

  * Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

 -- Fedora Release Engineering <rel-eng@lists.fedoraproject.org>  Wed, 13 Feb 2013 00:00:00 -0000

ea-apr (1.4.6-5) stable; urgency=low

  * fix strict-aliasing gcc warning
  * remove unused SHA384 and SHA512 code

 -- Jan Kaluza <jkaluza@redhat.com>  Wed, 12 Dec 2012 00:00:00 -0000

ea-apr (1.4.6-4) stable; urgency=low

  * update license

 -- Joe Orton <jorton@redhat.com>  Thu, 22 Nov 2012 00:00:00 -0000

ea-apr (1.4.6-3) stable; urgency=low

  * Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

 -- Fedora Release Engineering <rel-eng@lists.fedoraproject.org>  Wed, 18 Jul 2012 00:00:00 -0000

ea-apr (1.4.6-2) stable; urgency=low

  * pull fix for apr_mcast_hops from upstream

 -- Joe Orton <jorton@redhat.com>  Fri, 06 Jul 2012 00:00:00 -0000

ea-apr (1.4.6-1) stable; urgency=low

  * bump up to 1.4.6

 -- Bojan Smojver <bojan@rexursive.com>  Tue, 14 Feb 2012 00:00:00 -0000

ea-apr (1.4.5-3) stable; urgency=low

  * Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

 -- Fedora Release Engineering <rel-eng@lists.fedoraproject.org>  Thu, 12 Jan 2012 00:00:00 -0000

ea-apr (1.4.5-2) stable; urgency=low

  * remove deepbind patch, should no longer be necessary

 -- Joe Orton <jorton@redhat.com>  Thu, 13 Oct 2011 00:00:00 -0000

ea-apr (1.4.5-1) stable; urgency=low

  * bump up to 1.4.5

 -- Bojan Smojver <bojan@rexursive.com>  Fri, 20 May 2011 00:00:00 -0000

ea-apr (1.4.4-2) stable; urgency=low

  * fix top_builddir in apr_rules.mk

 -- Bojan Smojver <bojan@rexursive.com>  Tue, 10 May 2011 00:00:00 -0000

ea-apr (1.4.4-1) stable; urgency=low

  * bump up to 1.4.4
  * CVE-2011-0419

 -- Bojan Smojver <bojan@rexursive.com>  Mon, 09 May 2011 00:00:00 -0000

ea-apr (1.4.2-3) stable; urgency=low

  * work around alising issue in ring macros (upstream PR 50190)
  * fix buildconf with newer libtool (#670621)

 -- Joe Orton <jorton@redhat.com>  Wed, 02 Mar 2011 00:00:00 -0000

ea-apr (1.4.2-2) stable; urgency=low

  * Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

 -- Fedora Release Engineering <rel-eng@lists.fedoraproject.org>  Mon, 07 Feb 2011 00:00:00 -0000

ea-apr (1.4.2-1) stable; urgency=low

  * update to 1.4.2
  * always enable SCTP support (#659815)

 -- Joe Orton <jorton@redhat.com>  Sat, 04 Dec 2010 00:00:00 -0000

ea-apr (1.3.9-3) stable; urgency=low

  * remove uuid/crypt libs from pkg-config file (#511522)

 -- Bojan Smojver <bojan@rexursive.com>  Sun, 25 Oct 2009 00:00:00 -0000

ea-apr (1.3.9-2) stable; urgency=low

  * revert use of accept4(), dup3() and epoll_create1()

 -- Bojan Smojver <bojan@rexursive.com>  Mon, 28 Sep 2009 00:00:00 -0000

ea-apr (1.3.9-1) stable; urgency=low

  * bump up to 1.3.9

 -- Bojan Smojver <bojan@rexursive.com>  Fri, 25 Sep 2009 00:00:00 -0000

ea-apr (1.3.8-1) stable; urgency=low

  * bump up to 1.3.8
  * CVE-2009-2412
  * allocator alignment fixes

 -- Bojan Smojver <bojan@rexursive.com>  Thu, 06 Aug 2009 00:00:00 -0000

ea-apr (1.3.7-2) stable; urgency=low

  * include apr_cv_sock_cloexec too

 -- Bojan Smojver <bojan@rexursive.com>  Sun, 26 Jul 2009 00:00:00 -0000

ea-apr (1.3.7-1) stable; urgency=low

  * bump up to 1.3.7

 -- Bojan Smojver <bojan@rexursive.com>  Sun, 26 Jul 2009 00:00:00 -0000

ea-apr (1.3.6-2) stable; urgency=low

  * Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

 -- Fedora Release Engineering <rel-eng@lists.fedoraproject.org>  Fri, 24 Jul 2009 00:00:00 -0000

ea-apr (1.3.6-1) stable; urgency=low

  * bump up to 1.3.6

 -- Bojan Smojver <bojan@rexursive.com>  Wed, 15 Jul 2009 00:00:00 -0000

ea-apr (1.3.5-5) stable; urgency=low

  * BR libuuid-devel instead of e2fsprogs-devel

 -- Joe Orton <jorton@redhat.com>  Tue, 30 Jun 2009 00:00:00 -0000

ea-apr (1.3.5-4) stable; urgency=low

  * bump up to 1.3.5

 -- Bojan Smojver <bojan@rexursive.com>  Mon, 08 Jun 2009 00:00:00 -0000

ea-apr (1.3.3-4) stable; urgency=low

  * Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

 -- Fedora Release Engineering <rel-eng@lists.fedoraproject.org>  Mon, 23 Feb 2009 00:00:00 -0000

ea-apr (1.3.3) stable; urgency=low

  * fix build with libtool 2.2

 -- Joe Orton <jorton@redhat.com>  Wed, 04 Feb 2009 00:00:00 -0000

ea-apr (1.3.3) stable; urgency=low

  * rebuild

 -- Joe Orton <jorton@redhat.com>  Fri, 02 Jan 2009 00:00:00 -0000

ea-apr (1.3.3-1) stable; urgency=low

  * bump up to 1.3.3

 -- Bojan Smojver <bojan@rexursive.com>  Sat, 16 Aug 2008 00:00:00 -0000

ea-apr (1.3.2-2) stable; urgency=low

  * ship find_apr.m4, fix bug #455189

 -- Bojan Smojver <bojan@rexursive.com>  Wed, 16 Jul 2008 00:00:00 -0000

ea-apr (1.3.2-1) stable; urgency=low

  * bump up to 1.3.2

 -- Bojan Smojver <bojan@rexursive.com>  Thu, 19 Jun 2008 00:00:00 -0000

ea-apr (1.3.0-1) stable; urgency=low

  * bump up to 1.3.0

 -- Bojan Smojver <bojan@rexursive.com>  Sun, 01 Jun 2008 00:00:00 -0000

ea-apr (1.2.12-2) stable; urgency=low

  * Autorebuild for GCC 4.3

 -- Fedora Release Engineering <rel-eng@fedoraproject.org>  Tue, 19 Feb 2008 00:00:00 -0000

ea-apr (1.2.12-1) stable; urgency=low

  * bump up to 1.2.12
  * add dist
  * remove a comment from apr-1.2.7-psprintfpi.patch (applied upstream)

 -- Bojan Smojver <bojan@rexursive.com>  Mon, 26 Nov 2007 00:00:00 -0000

ea-apr (1.2.11-2) stable; urgency=low

  * fix %%check for non-multilib 64-bit platforms

 -- Joe Orton <jorton@redhat.com>  Tue, 18 Sep 2007 00:00:00 -0000

ea-apr (1.2.11-1) stable; urgency=low

  * bump up to 1.2.11
  * drop openlfs patch (fixed upstream)

 -- Bojan Smojver <bojan@rexursive.com>  Sun, 09 Sep 2007 00:00:00 -0000

ea-apr (1.2.9-4) stable; urgency=low

  * fix API/ABI of 32-bit builds (#254241)

 -- Joe Orton <jorton@redhat.com>  Sun, 02 Sep 2007 00:00:00 -0000

ea-apr (1.2.9-2) stable; urgency=low

  * fix License

 -- Joe Orton <jorton@redhat.com>  Tue, 21 Aug 2007 00:00:00 -0000

ea-apr (1.2.9-1) stable; urgency=low

  * bump up to 1.2.9

 -- Bojan Smojver <bojan@rexursive.com>  Mon, 25 Jun 2007 00:00:00 -0000

ea-apr (1.2.8-7) stable; urgency=low

  * drop %%check section entirely; inappropriate to run in build env.

 -- Joe Orton <jorton@redhat.com>  Mon, 04 Jun 2007 00:00:00 -0000

ea-apr (1.2.8-6) stable; urgency=low

  * merge review (#225253): drop .a archive; drop use of CC/CXX,
  use BuildRequires; drop old Conflicts; URL reference for Source

 -- Joe Orton <jorton@redhat.com>  Fri, 30 Mar 2007 00:00:00 -0000

ea-apr (1.2.8-5) stable; urgency=low

  * drop the doxygen documentation (which causes multilib conflicts)

 -- Joe Orton <jorton@redhat.com>  Thu, 22 Mar 2007 00:00:00 -0000

ea-apr (1.2.8-4) stable; urgency=low

  * add BR for python

 -- Joe Orton <jorton@redhat.com>  Thu, 15 Feb 2007 00:00:00 -0000

ea-apr (1.2.8-3) stable; urgency=low

  * update to pick up new libtool, drop specific gcc requirement

 -- Joe Orton <jorton@redhat.com>  Thu, 15 Feb 2007 00:00:00 -0000

ea-apr (1.2.8-2) stable; urgency=low

  * update to 1.2.8

 -- Joe Orton <jorton@redhat.com>  Mon, 04 Dec 2006 00:00:00 -0000

ea-apr (1.2.7-10) stable; urgency=low

  * fix buildconf with autoconf 2.60 (#199067)

 -- Joe Orton <jorton@redhat.com>  Wed, 19 Jul 2006 00:00:00 -0000

ea-apr (1.2.7-9.1) stable; urgency=low

  * rebuild

 -- Jesse Keating <jkeating@redhat.com>  Wed, 12 Jul 2006 00:00:00 -0000

ea-apr (1.2.7-9) stable; urgency=low

  * add fix for use of %%pI with psprintf

 -- Joe Orton <jorton@redhat.com>  Mon, 19 Jun 2006 00:00:00 -0000

ea-apr (1.2.7-8) stable; urgency=low

  * rebuilt with GCC 4.1.0

 -- Jakub Jelinek <jakub@redhat.com>  Fri, 26 May 2006 00:00:00 -0000

ea-apr (1.2.7-7) stable; urgency=low

  * fix another multilib conflict (#192659)

 -- Joe Orton <jorton@redhat.com>  Tue, 23 May 2006 00:00:00 -0000

ea-apr (1.2.7-6) stable; urgency=low

  * BR e2fsprogs-devel for libuuid

 -- Joe Orton <jorton@redhat.com>  Tue, 16 May 2006 00:00:00 -0000

ea-apr (1.2.7-4) stable; urgency=low

  * use multilib parallel-installation wrapper hack for apr.h

 -- Joe Orton <jorton@redhat.com>  Mon, 08 May 2006 00:00:00 -0000

ea-apr (1.2.7-3) stable; urgency=low

  * fix installbuilddir in apr-1-config

 -- Joe Orton <jorton@redhat.com>  Tue, 02 May 2006 00:00:00 -0000

ea-apr (1.2.7-2) stable; urgency=low

  * update to 1.2.7
  * use pkg-config in apr-1-config to make it libdir-agnostic

 -- Joe Orton <jorton@redhat.com>  Tue, 02 May 2006 00:00:00 -0000

ea-apr (1.2.6-2) stable; urgency=low

  * update to 1.2.6

 -- Joe Orton <jorton@redhat.com>  Thu, 06 Apr 2006 00:00:00 -0000

ea-apr (1.2.2-7.2) stable; urgency=low

  * bump again for double-long bug on ppc(64)

 -- Jesse Keating <jkeating@redhat.com>  Fri, 10 Feb 2006 00:00:00 -0000

ea-apr (1.2.2-7.1) stable; urgency=low

  * rebuilt for new gcc4.1 snapshot and glibc changes

 -- Jesse Keating <jkeating@redhat.com>  Tue, 07 Feb 2006 00:00:00 -0000

ea-apr (1.2.2-7) stable; urgency=low

  * fix namespace pollution (r354824, r355464)

 -- Joe Orton <jorton@redhat.com>  Wed, 04 Jan 2006 00:00:00 -0000

ea-apr (1.2.2-6) stable; urgency=low

  * fix build with recent glibc (#176911)

 -- Joe Orton <jorton@redhat.com>  Wed, 04 Jan 2006 00:00:00 -0000

ea-apr (1.2.2-5.2) stable; urgency=low

  * rebuilt again

 -- Jesse Keating <jkeating@redhat.com>  Tue, 03 Jan 2006 00:00:00 -0000

ea-apr (1.2.2-5) stable; urgency=low

  * rebuild for new gcc

 -- Joe Orton <jorton@redhat.com>  Fri, 09 Dec 2005 00:00:00 -0000

ea-apr (1.2.2-4) stable; urgency=low

  * add apr_file_seek() fixes from upstream (r326593, r326597)

 -- Joe Orton <jorton@redhat.com>  Thu, 08 Dec 2005 00:00:00 -0000

ea-apr (1.2.2-3) stable; urgency=low

  * apr-1-config: strip more exports (#175124)

 -- Joe Orton <jorton@redhat.com>  Wed, 07 Dec 2005 00:00:00 -0000

ea-apr (1.2.2-2) stable; urgency=low

  * avoid linking against -lrt
  * don't print -L${libdir} in --libs output
  * don't export -lcrypt/-luuid in .la file

 -- Joe Orton <jorton@redhat.com>  Tue, 06 Dec 2005 00:00:00 -0000

ea-apr (1.2.2-1) stable; urgency=low

  * update to 1.2.2

 -- Joe Orton <jorton@redhat.com>  Fri, 02 Dec 2005 00:00:00 -0000

ea-apr (0.9.7-3) stable; urgency=low

  * use RTLD_DEEPBIND in apr_dso_open by default

 -- Joe Orton <jorton@redhat.com>  Thu, 24 Nov 2005 00:00:00 -0000

ea-apr (0.9.7-2) stable; urgency=low

  * update to 0.9.7

 -- Joe Orton <jorton@redhat.com>  Thu, 20 Oct 2005 00:00:00 -0000

ea-apr (0.9.6-6) stable; urgency=low

  * don't override CFLAGS at build time
  * allow setting TCP_NODELAY and TCP_CORK concurrently
  * use _exit() not exit() in child if exec*() fails (upstream #30913)

 -- Joe Orton <jorton@redhat.com>  Thu, 15 Sep 2005 00:00:00 -0000

ea-apr (0.9.6-5) stable; urgency=low

  * add from 0.9.x branch:
  * fix for apr_{uid,gid}_* error handling (r239592)
  * fix for apr_file_ write flushing (r267192)
  * add backport for use of readdir64_r (r265032, r265681, r265684)

 -- Joe Orton <jorton@redhat.com>  Fri, 09 Sep 2005 00:00:00 -0000

ea-apr (0.9.6-3) stable; urgency=low

  * fix apr_procattr_child_*_set error handling

 -- Joe Orton <jorton@redhat.com>  Tue, 17 May 2005 00:00:00 -0000

ea-apr (0.9.6-2) stable; urgency=low

  * have apr-devel depend on specific version of gcc
  * add NOTICE to docdir

 -- Joe Orton <jorton@redhat.com>  Tue, 01 Mar 2005 00:00:00 -0000

ea-apr (0.9.6-1) stable; urgency=low

  * update to 0.9.6

 -- Joe Orton <jorton@redhat.com>  Wed, 09 Feb 2005 00:00:00 -0000

ea-apr (0.9.5-4) stable; urgency=low

  * don't disable sendfile on s390 (IBM LTC, #146891)

 -- Joe Orton <jorton@redhat.com>  Wed, 02 Feb 2005 00:00:00 -0000

ea-apr (0.9.5-3) stable; urgency=low

  * really fix apr-config --srcdir

 -- Joe Orton <jorton@redhat.com>  Mon, 22 Nov 2004 00:00:00 -0000

ea-apr (0.9.5-2) stable; urgency=low

  * fix apr-config --srcdir again

 -- Joe Orton <jorton@redhat.com>  Mon, 22 Nov 2004 00:00:00 -0000

ea-apr (0.9.5-1) stable; urgency=low

  * update to 0.9.5

 -- Joe Orton <jorton@redhat.com>  Sun, 21 Nov 2004 00:00:00 -0000

ea-apr (0.9.4-24) stable; urgency=low

  * rebuild

 -- Joe Orton <jorton@redhat.com>  Mon, 27 Sep 2004 00:00:00 -0000

ea-apr (0.9.4-23) stable; urgency=low

  * have -devel require apr of same V-R

 -- Joe Orton <jorton@redhat.com>  Wed, 01 Sep 2004 00:00:00 -0000

ea-apr (0.9.4-22) stable; urgency=low

  * backport fixes from HEAD:
  * correct implementation of nested mutexes
  * support for POSIX semaphores on LP64 platforms

 -- Joe Orton <jorton@redhat.com>  Tue, 31 Aug 2004 00:00:00 -0000

ea-apr (0.9.4-21) stable; urgency=low

  * rebuild for another attempt at using sem_open

 -- Joe Orton <jorton@redhat.com>  Thu, 15 Jul 2004 00:00:00 -0000

ea-apr (0.9.4-20) stable; urgency=low

  * move sticky/suid bits outside APR_OS_DEFAULT bitmask (Greg Hudson)

 -- Joe Orton <jorton@redhat.com>  Tue, 13 Jul 2004 00:00:00 -0000

ea-apr (0.9.4-19) stable; urgency=low

  * rebuild

 -- Joe Orton <jorton@redhat.com>  Thu, 01 Jul 2004 00:00:00 -0000

ea-apr (0.9.4-18) stable; urgency=low

  * rebuild now /dev/shm is mounted

 -- Joe Orton <jorton@redhat.com>  Wed, 30 Jun 2004 00:00:00 -0000

ea-apr (0.9.4-17) stable; urgency=low

  * add fix for cleanup structure reuse (part of upstream #23567)

 -- Joe Orton <jorton@redhat.com>  Thu, 17 Jun 2004 00:00:00 -0000

ea-apr (0.9.4-15) stable; urgency=low

  * add support for setuid/setgid/sticky bits (André Malo)
  * add apr_threadattr_{guardsize,stacksize}_set() (latter by Jeff Trawick)

 -- Joe Orton <jorton@redhat.com>  Thu, 10 Jun 2004 00:00:00 -0000

ea-apr (0.9.4-14) stable; urgency=low

  * enable posixsem and process-shared pthread mutex support, but
  ensure that sysvsem remains the default mechanism

 -- Joe Orton <jorton@redhat.com>  Mon, 07 Jun 2004 00:00:00 -0000

ea-apr (0.9.4-13) stable; urgency=low

  * entirely remove 2Gb file size limit from apr_file_copy();
  fixes "svnadmin hotcopy" on repos with >2Gb strings table
  * work around getnameinfo bugs with v4-mapped addresses
  * fix apr_time_exp_get() for dates in 2038 (Philip Martin)

 -- Joe Orton <jorton@redhat.com>  Mon, 24 May 2004 00:00:00 -0000

ea-apr (0.9.4-12) stable; urgency=low

  * use APR_LARGEFILE in apr_file_{copy,append}

 -- Joe Orton <jorton@redhat.com>  Thu, 13 May 2004 00:00:00 -0000

ea-apr (0.9.4-11) stable; urgency=low

  * add APR_LARGEFILE flag

 -- Joe Orton <jorton@redhat.com>  Wed, 24 Mar 2004 00:00:00 -0000

ea-apr (0.9.4-10) stable; urgency=low

  * fix configure check for mmap of /dev/zero
  * just put -D_GNU_SOURCE in CPPFLAGS not _{BSD,SVID,XOPEN}_SOURCE

 -- Joe Orton <jorton@redhat.com>  Mon, 15 Mar 2004 00:00:00 -0000

ea-apr (0.9.4-9.1) stable; urgency=low

  * rebuilt

 -- Elliot Lee <sopwith@redhat.com>  Tue, 02 Mar 2004 00:00:00 -0000

ea-apr (0.9.4-9) stable; urgency=low

  * undocument apr_dir_read() ordering constraint and fix tests

 -- Joe Orton <jorton@redhat.com>  Thu, 19 Feb 2004 00:00:00 -0000

ea-apr (0.9.4-8) stable; urgency=low

  * rebuilt without -Wall -Werror

 -- Joe Orton <jorton@redhat.com>  Sun, 15 Feb 2004 00:00:00 -0000

ea-apr (0.9.4-7) stable; urgency=low

  * rebuilt

 -- Elliot Lee <sopwith@redhat.com>  Fri, 13 Feb 2004 00:00:00 -0000

ea-apr (0.9.4-6) stable; urgency=low

  * define apr_off_t as int/long/... to prevent it changing
  with _FILE_OFFSET_BITS on 32-bit platforms

 -- Joe Orton <jorton@redhat.com>  Tue, 03 Feb 2004 00:00:00 -0000

ea-apr (0.9.4-5) stable; urgency=low

  * add apr_temp_dir_get fixes from HEAD

 -- Joe Orton <jorton@redhat.com>  Mon, 12 Jan 2004 00:00:00 -0000

ea-apr (0.9.4-4) stable; urgency=low

  * ensure that libapr is linked against libpthread
  * don't link libapr against -lnsl

 -- Joe Orton <jorton@redhat.com>  Thu, 08 Jan 2004 00:00:00 -0000

ea-apr (0.9.4-3) stable; urgency=low

  * -devel package no longer requires libtool

 -- Joe Orton <jorton@redhat.com>  Thu, 13 Nov 2003 00:00:00 -0000

ea-apr (0.9.4-2) stable; urgency=low

  * disable tests on x86_64 (#97611)

 -- Joe Orton <jorton@redhat.com>  Fri, 03 Oct 2003 00:00:00 -0000

ea-apr (0.9.4-1) stable; urgency=low

  * update to 0.9.4, enable tests
  * ensure that libresolv is not used

 -- Joe Orton <jorton@redhat.com>  Fri, 03 Oct 2003 00:00:00 -0000

ea-apr (0.9.3-14) stable; urgency=low

  * use /dev/urandom (#103049)

 -- Joe Orton <jorton@redhat.com>  Sun, 07 Sep 2003 00:00:00 -0000

ea-apr (0.9.3-13) stable; urgency=low

  * add back CC=gcc, CXX=g++

 -- Joe Orton <jorton@redhat.com>  Thu, 24 Jul 2003 00:00:00 -0000

ea-apr (0.9.3-12) stable; urgency=low

  * rebuild

 -- Nalin Dahyabhai <nalin@redhat.com>  Tue, 22 Jul 2003 00:00:00 -0000

ea-apr (0.9.3-11) stable; urgency=low

  * work round useless autoconf 2.57 AC_DECL_SYS_SIGLIST

 -- Joe Orton <jorton@redhat.com>  Mon, 14 Jul 2003 00:00:00 -0000

ea-apr (0.9.3-10) stable; urgency=low

  * support --cc and --cpp arguments in apr-config

 -- Joe Orton <jorton@redhat.com>  Thu, 10 Jul 2003 00:00:00 -0000

ea-apr (0.9.3-9) stable; urgency=low

  * force libtool to use CC=gcc, CXX=g++

 -- Joe Orton <jorton@redhat.com>  Thu, 03 Jul 2003 00:00:00 -0000

ea-apr (0.9.3-8) stable; urgency=low

  * fix libtool location in apr_rules.mk

 -- Joe Orton <jorton@redhat.com>  Thu, 03 Jul 2003 00:00:00 -0000

ea-apr (0.9.3-7) stable; urgency=low

  * use AI_ADDRCONFIG in getaddrinfo() support (#73350)
  * include a working libtool script rather than relying on
  /usr/bin/libtool (#97695)

 -- Joe Orton <jorton@redhat.com>  Mon, 30 Jun 2003 00:00:00 -0000

ea-apr (0.9.3-6) stable; urgency=low

  * don't use /usr/bin/libtool

 -- Joe Orton <jorton@redhat.com>  Wed, 18 Jun 2003 00:00:00 -0000

ea-apr (0.9.3-5) stable; urgency=low

  * add fix for psprintf memory corruption (CAN-2003-0245)
  * remove executable bit from apr_poll.h

 -- Joe Orton <jorton@redhat.com>  Tue, 20 May 2003 00:00:00 -0000

ea-apr (0.9.3-4) stable; urgency=low

  * link libapr against libpthread
  * make apr-devel conflict with old subversion-devel
  * fix License

 -- Joe Orton <jorton@redhat.com>  Thu, 01 May 2003 00:00:00 -0000

ea-apr (0.9.3-3) stable; urgency=low

  * run ldconfig in post/postun

 -- Joe Orton <jorton@redhat.com>  Tue, 29 Apr 2003 00:00:00 -0000

ea-apr (0.9.3-2) stable; urgency=low

  * patch test suite to not care if IPv6 is disabled

 -- Joe Orton <jorton@redhat.com>  Tue, 29 Apr 2003 00:00:00 -0000

ea-apr (0.9.3-1) stable; urgency=low

  * initial build

 -- Joe Orton <jorton@redhat.com>  Mon, 28 Apr 2003 00:00:00 -0000

